WordPress 2.6.3 is out, with a minor compatibility issue

I upgraded Fresco20 to the latest version of WordPress using the Automatic Upgade plugin. Since this is the first time I used the plugin and performed an upgrade, I was a little nervous. What if things would break along the way? I’m a newcomer.

Automatic Upgrade was nice enough to ask me to perform a backup before allowing me to go ahead with the upgrade. It went really well. I only had to enter my FTP account information because I didn’t change the WordPress folder’s permission to “write”. The rest was reading instructions and clicking “next” :-)

After that I headed to WordPress homepage to see what the upgrade was about. Here’s the info:

A vulnerability in the Snoopy library was announced today.  WordPress uses Snoopy to fetch the feeds shown in the Dashboard.   Although this seems to be a low risk vulnerability for WordPress users, we wanted to get an update out immediately.  2.6.3 is available for download right now.  If you don’t want to download the whole release to get the security fix, you can download the following two files and copy them over your 2.6.2 installation.

  1. wp-includes/class-snoopy.php
  2. wp-includes/version.php
Damn, I should have done this first because it was much easier just to overwrite these two files! Anyway, it was worth having a look at how the upgrade process was like and redo it in the future when further major upgrades are released.
Things didn’t go well with BarcampSaigon website though. We were using qTranslate to allow side-by-side translation from English to Vietnamese to help local attendees know what were going on on the website since we thought it would help them a lot. English is a concern :-) Now qTranslate is not working because it was not fully compatible with the latest release. We’re hoping a newer version will come out very soon. On the forum somebody did a dirty hack to get it to work, you might be interested:
I’ve just edited qtranslate_wphacks.php line 74 and changed the WP version

if($GLOBALS['wp_version']!=”2.6.3″) {

Quick and dirty hack till Qian Qin releases a new version of qTranslate.

Waiting for the major release of 2.7, haven’t read much about it though.

This entry was posted in Barcamp, Technology and tagged , , , . Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>